com.pdfunit

## Class Constants

- java.lang.Object
- - com.pdfunit.Constants

-     @DoNotObfuscate
      public final class Constants
      extends java.lang.Object

  Constants to used by test programs.
  Since:
    2013.01
  Author:
    Carsten Siedentop, February 2011

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFormat` | `A0_LANDSCAPE` A typical page format.
    `static DocumentFormat` | `A0_PORTRAIT` A typical page format.
    `static DocumentFormat` | `A1_LANDSCAPE` A typical page format.
    `static DocumentFormat` | `A1_PORTRAIT` A typical page format.
    `static DocumentFormat` | `A2_LANDSCAPE` A typical page format.
    `static DocumentFormat` | `A2_PORTRAIT` A typical page format.
    `static DocumentFormat` | `A3_LANDSCAPE` A typical page format.
    `static DocumentFormat` | `A3_PORTRAIT` A typical page format.
    `static DocumentFormat` | `A4_LANDSCAPE` A typical page format.
    `static DocumentFormat` | `A4_PORTRAIT` A typical page format.
    `static DocumentFormat` | `A5_LANDSCAPE` A typical page format.
    `static DocumentFormat` | `A5_PORTRAIT` A typical page format.
    `static DocumentFormat` | `A6_LANDSCAPE` A typical page format.
    `static DocumentFormat` | `A6_PORTRAIT` A typical page format.
    `static AccessPermission` | `ALLOW_SCREENREADERS` Constant for PDF document permission.
    `static java.lang.String` | `ANY_NODE_VALUE` Contant in the context of XPath processing.
    `static AnyPage` | `ANY_PAGE` Instance providing the page numbers for every page of a PDF document and signaling the validator class the first match.
    `static DateResolution` | `AS_DATE` Precision to format dates.
    `static DateResolution` | `AS_DATETIME` Precision to format dates.
    `static javax.xml.namespace.QName` | `AS_RESULTTYPE_BOOLEAN` Constant for the result type of XPath processing.
    `static javax.xml.namespace.QName` | `AS_RESULTTYPE_NODE` Constant for the result type of XPath processing.
    `static javax.xml.namespace.QName` | `AS_RESULTTYPE_NODESET` Constant for the result type of XPath processing.
    `static javax.xml.namespace.QName` | `AS_RESULTTYPE_NUMBER` Constant for the result type of XPath processing.
    `static javax.xml.namespace.QName` | `AS_RESULTTYPE_STRING` Constant for the result type of XPath processing.
    `static AccessPermission` | `ASSEMBLE_DOCUMENTS` Constant for PDF document permission.
    `static FieldType` | `CHECKBOX` A field type.
    `static FieldType` | `CHOICE` A field type.
    `static FieldType` | `COMBO` A field type.
    `static ComparedBy` | `COMPARED_BY_CONTENT` Kind of comparing embedded files of a test-PDF to a master-PDF.
    `static ComparedBy` | `COMPARED_BY_NAME` Kind of comparing embedded files of a test-PDF to a master-PDF.
    `static Rotation` | `DEGREES_180` Rotation for images.
    `static Rotation` | `DEGREES_270` Rotation for images.
    `static Rotation` | `DEGREES_90` Rotation for images.
    `static EveryPage` | `EACH_PAGE` Instance providing the page numbers for each page of a PDF document.
    `static EvenPages` | `EVEN_PAGES` Instance providing all even page numbers of a PDF document.
    `static EveryPage` | `EVERY_PAGE` Instance providing the page numbers for every page of a PDF document.
    `static AccessPermission` | `EXTRACT_CONTENT` Constant for PDF document permission.
    `static AccessPermission` | `FILL_IN` Constant for PDF document permission.
    `static FirstPage` | `FIRST_PAGE` Instance providing page number 1 for a PDF document.
    `static FontType` | `FONTTYPE_CID` Constant for a font type.
    `static FontType` | `FONTTYPE_CID_TYPE0` Constant for a font type.
    `static FontType` | `FONTTYPE_CID_TYPE2` Constant for a font type.
    `static FontType` | `FONTTYPE_MMTYPE1` Constant for a font type.
    `static FontType` | `FONTTYPE_OPENTYPE` Constant for a font type.
    `static FontType` | `FONTTYPE_TRUETYPE` Constant for a font type.
    `static FontType` | `FONTTYPE_TYPE0` Constant for a font type.
    `static FontType` | `FONTTYPE_TYPE1` Constant for a font type.
    `static FontType` | `FONTTYPE_TYPE3` Constant for a font type.
    `static CertificationLevel` | `FORM_FILLING` Constant for the certified PDF.
    `static CertificationLevel` | `FORM_FILLING_AND_ANNOTATIONS` Constant for the certified PDF.
    `static FlipDirection` | `HORIZONTALLY` Flipping direction for images.
    `static IdentifiedBy` | `IDENTIFIEDBY_ALLPROPERTIES` Constant for filtering fonts.
    `static IdentifiedBy` | `IDENTIFIEDBY_BASENAME` Constant for filtering fonts.
    `static IdentifiedBy` | `IDENTIFIEDBY_EMBEDDED` Constant for filtering fonts.
    `static IdentifiedBy` | `IDENTIFIEDBY_NAME` Constant for filtering fonts.
    `static IdentifiedBy` | `IDENTIFIEDBY_NAME_TYPE` Constant for filtering fonts.
    `static IdentifiedBy` | `IDENTIFIEDBY_TYPE` Constant for filtering fonts.
    `static WhitespaceProcessing` | `IGNORE` Constant, defining to ignore whitespaces when comparing text.
    `static WhitespaceProcessing` | `IGNORE_WHITESPACES` Constant, defining to ignore whitespaces when comparing text.
    `static WhitespaceProcessing` | `KEEP` Constant, defining to keep whitespaces when comparing text.
    `static WhitespaceProcessing` | `KEEP_WHITESPACES` Constant, defining to keep whitespaces when comparing text.
    `static LastPage` | `LAST_PAGE` Instance providing the last page number of a PDF document.
    `static DocumentFormat` | `LETTER_LANDSCAPE` A typical page format.
    `static DocumentFormat` | `LETTER_PORTRAIT` A typical page format.
    `static FieldType` | `LIST` A field type.
    `static FormatUnit` | `MILLIMETER` Deprecated.
    `static FormatUnit` | `MILLIMETERS` A format unit.
    `static AccessPermission` | `MODIFY_ANNOTATIONS` Constant for PDF document permission.
    `static AccessPermission` | `MODIFY_CONTENT` Constant for PDF document permission.
    `static CertificationLevel` | `NO_CHANGES_ALLOWED` Constant for the certified PDF.
    `static java.lang.String` | `NO_VALID_LICENSE_MESSAGE`
    `static WhitespaceProcessing` | `NORMALIZE` Constant, defining to reduce all subsequent whitespaces to one space when comparing text.
    `static WhitespaceProcessing` | `NORMALIZE_WHITESPACES` Constant, defining to reduce all subsequent whitespaces to one space when comparing text.
    `static OddPages` | `ODD_PAGES` Instance providing all odd page numbers of a PDF document.
    `static AnyPage` | `ON_ANY_PAGE` Instance providing the page numbers for every page of a PDF document and signaling the validator class the first match.
    `static EveryPage` | `ON_EACH_PAGE` Instance providing the page numbers for each page of a PDF document.
    `static EvenPages` | `ON_EVEN_PAGES` Instance providing all even page numbers of a PDF document.
    `static EveryPage` | `ON_EVERY_PAGE` Instance providing the page numbers for every page of a PDF document.
    `static FirstPage` | `ON_FIRST_PAGE` Instance providing page number 1 for a PDF document.
    `static LastPage` | `ON_LAST_PAGE` Instance providing the last page number of a PDF document.
    `static OddPages` | `ON_ODD_PAGES` Instance providing all odd page numbers of a PDF document.
    `static Standard` | `PDFA_1A` This constant let PDFUnit validate against PDF/A-1a.
    `static Standard` | `PDFA_1B` This constant let PDFUnit validate against PDF/A-1b.
    `static PDFVersion` | `PDFVERSION_11` Instance representing the PDF version string "1.1".
    `static PDFVersion` | `PDFVERSION_12` Instance representing the PDF version string "1.2".
    `static PDFVersion` | `PDFVERSION_13` Instance representing the PDF version string "1.3".
    `static PDFVersion` | `PDFVERSION_14` Instance representing the PDF version string "1.4".
    `static PDFVersion` | `PDFVERSION_15` Instance representing the PDF version string "1.5".
    `static PDFVersion` | `PDFVERSION_16` Instance representing the PDF version string "1.6".
    `static PDFVersion` | `PDFVERSION_17` Instance representing the PDF version string "1.7".
    `static FormatUnit` | `POINTS` A format unit.
    `static AccessPermission` | `PRINT_DEGRADED_ONLY` Constant for PDF document permission.
    `static AccessPermission` | `PRINT_IN_HIGHQUALITY` Constant for PDF document permission.
    `static FieldType` | `PUSHBUTTON` A field type.
    `static FieldType` | `RADIOBUTTON` A field type.
    `static java.lang.String` | `REGION_CREAGED_BY_CLIPPINGAREA` Default name for a page region.
    `static FieldType` | `SIGNATURE` A field type.
    `static FieldType` | `TEXT` A field type.
    `static java.lang.String` | `VERSION` Current version
    `static FlipDirection` | `VERTICALLY` Flipping direction for images.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION

          public static final java.lang.String VERSION

      Current version
      See Also:
        Constant Field Values

    - #### REGION_CREAGED_BY_CLIPPINGAREA

          public static final java.lang.String REGION_CREAGED_BY_CLIPPINGAREA

      Default name for a page region.
      See Also:
        Constant Field Values

    - #### ON_EVEN_PAGES

          public static final EvenPages ON_EVEN_PAGES

      Instance providing all even page numbers of a PDF document. This constant has the same meaning as 'EVEN_PAGE'.

    - #### EVEN_PAGES

          public static final EvenPages EVEN_PAGES

      Instance providing all even page numbers of a PDF document. This constant has the same meaning as 'ON_EVEN_PAGE'.

    - #### ON_ODD_PAGES

          public static final OddPages ON_ODD_PAGES

      Instance providing all odd page numbers of a PDF document. This constant has the same meaning as 'ODD_PAGE'.

    - #### ODD_PAGES

          public static final OddPages ODD_PAGES

      Instance providing all odd page numbers of a PDF document. This constant has the same meaning as 'ON_ODD_PAGE'.

    - #### ON_FIRST_PAGE

          public static final FirstPage ON_FIRST_PAGE

      Instance providing page number 1 for a PDF document. This constant has the same meaning as 'FIRST_PAGE'.

    - #### FIRST_PAGE

          public static final FirstPage FIRST_PAGE

      Instance providing page number 1 for a PDF document. This constant has the same meaning as 'ON_FIRST_PAGE'.

    - #### ON_LAST_PAGE

          public static final LastPage ON_LAST_PAGE

      Instance providing the last page number of a PDF document. This constant has the same meaning as 'LAST_PAGE'.

    - #### LAST_PAGE

          public static final LastPage LAST_PAGE

      Instance providing the last page number of a PDF document. This constant has the same meaning as 'ON_LAST_PAGE'.

    - #### ON_EACH_PAGE

          public static final EveryPage ON_EACH_PAGE

      Instance providing the page numbers for each page of a PDF document. This constant has the same meaning as 'ON_EVERY_PAGE' and 'EACH_PAGE'.

    - #### EACH_PAGE

          public static final EveryPage EACH_PAGE

      Instance providing the page numbers for each page of a PDF document. This constant has the same meaning as 'ON_EACH_PAGE' and 'EVERY_PAGE'.

    - #### ON_EVERY_PAGE

          public static final EveryPage ON_EVERY_PAGE

      Instance providing the page numbers for every page of a PDF document. This constant has the same meaning as 'ON_EACH_PAGE' and 'EVERY_PAGE'.

    - #### EVERY_PAGE

          public static final EveryPage EVERY_PAGE

      Instance providing the page numbers for every page of a PDF document. This constant has the same meaning as 'ON_EVERY_PAGE' and 'EACH_PAGE'.

    - #### ON_ANY_PAGE

          public static final AnyPage ON_ANY_PAGE

      Instance providing the page numbers for every page of a PDF document and signaling the validator class the first match. This constant has the same meaning as 'ANY_PAGE'.

    - #### ANY_PAGE

          public static final AnyPage ANY_PAGE

      Instance providing the page numbers for every page of a PDF document and signaling the validator class the first match.

    - #### PDFVERSION_11

          public static final PDFVersion PDFVERSION_11

      Instance representing the PDF version string "1.1".

    - #### PDFVERSION_12

          public static final PDFVersion PDFVERSION_12

      Instance representing the PDF version string "1.2".

    - #### PDFVERSION_13

          public static final PDFVersion PDFVERSION_13

      Instance representing the PDF version string "1.3".

    - #### PDFVERSION_14

          public static final PDFVersion PDFVERSION_14

      Instance representing the PDF version string "1.4".

    - #### PDFVERSION_15

          public static final PDFVersion PDFVERSION_15

      Instance representing the PDF version string "1.5".

    - #### PDFVERSION_16

          public static final PDFVersion PDFVERSION_16

      Instance representing the PDF version string "1.6".

    - #### PDFVERSION_17

          public static final PDFVersion PDFVERSION_17

      Instance representing the PDF version string "1.7".

    - #### NO_CHANGES_ALLOWED

          public static final CertificationLevel NO_CHANGES_ALLOWED

      Constant for the certified PDF.

    - #### FORM_FILLING

          public static final CertificationLevel FORM_FILLING

      Constant for the certified PDF.

    - #### FORM_FILLING_AND_ANNOTATIONS

          public static final CertificationLevel FORM_FILLING_AND_ANNOTATIONS

      Constant for the certified PDF.

    - #### MILLIMETER

          @Deprecated
          public static final FormatUnit MILLIMETER

      Deprecated.
      A format unit.

      The value is marked as deprecated due to linguistic reasons. Use the plural form instead.

    - #### MILLIMETERS

          public static final FormatUnit MILLIMETERS

      A format unit.

    - #### POINTS

          public static final FormatUnit POINTS

      A format unit.

      Internally the system calculates with 72 points per inch.

    - #### CHOICE

          public static final FieldType CHOICE

      A field type.

    - #### CHECKBOX

          public static final FieldType CHECKBOX

      A field type.

    - #### COMBO

          public static final FieldType COMBO

      A field type.

    - #### LIST

          public static final FieldType LIST

      A field type.

    - #### PUSHBUTTON

          public static final FieldType PUSHBUTTON

      A field type.

    - #### RADIOBUTTON

          public static final FieldType RADIOBUTTON

      A field type.

    - #### SIGNATURE

          public static final FieldType SIGNATURE

      A field type.

    - #### TEXT

          public static final FieldType TEXT

      A field type.

    - #### A0_LANDSCAPE

          public static final DocumentFormat A0_LANDSCAPE

      A typical page format.

    - #### A0_PORTRAIT

          public static final DocumentFormat A0_PORTRAIT

      A typical page format.

    - #### A1_LANDSCAPE

          public static final DocumentFormat A1_LANDSCAPE

      A typical page format.

    - #### A1_PORTRAIT

          public static final DocumentFormat A1_PORTRAIT

      A typical page format.

    - #### A2_LANDSCAPE

          public static final DocumentFormat A2_LANDSCAPE

      A typical page format.

    - #### A2_PORTRAIT

          public static final DocumentFormat A2_PORTRAIT

      A typical page format.

    - #### A3_LANDSCAPE

          public static final DocumentFormat A3_LANDSCAPE

      A typical page format.

    - #### A3_PORTRAIT

          public static final DocumentFormat A3_PORTRAIT

      A typical page format.

    - #### A4_LANDSCAPE

          public static final DocumentFormat A4_LANDSCAPE

      A typical page format.

    - #### A4_PORTRAIT

          public static final DocumentFormat A4_PORTRAIT

      A typical page format.

    - #### A5_LANDSCAPE

          public static final DocumentFormat A5_LANDSCAPE

      A typical page format.

    - #### A5_PORTRAIT

          public static final DocumentFormat A5_PORTRAIT

      A typical page format.

    - #### A6_LANDSCAPE

          public static final DocumentFormat A6_LANDSCAPE

      A typical page format.

    - #### A6_PORTRAIT

          public static final DocumentFormat A6_PORTRAIT

      A typical page format.

    - #### LETTER_LANDSCAPE

          public static final DocumentFormat LETTER_LANDSCAPE

      A typical page format.

    - #### LETTER_PORTRAIT

          public static final DocumentFormat LETTER_PORTRAIT

      A typical page format.

    - #### PDFA_1A

          public static final Standard PDFA_1A

      This constant let PDFUnit validate against PDF/A-1a.

    - #### PDFA_1B

          public static final Standard PDFA_1B

      This constant let PDFUnit validate against PDF/A-1b.

    - #### AS_DATE

          public static final DateResolution AS_DATE

      Precision to format dates.

    - #### AS_DATETIME

          public static final DateResolution AS_DATETIME

      Precision to format dates.

    - #### COMPARED_BY_NAME

          public static final ComparedBy COMPARED_BY_NAME

      Kind of comparing embedded files of a test-PDF to a master-PDF.

    - #### COMPARED_BY_CONTENT

          public static final ComparedBy COMPARED_BY_CONTENT

      Kind of comparing embedded files of a test-PDF to a master-PDF.

    - #### AS_RESULTTYPE_BOOLEAN

          public static final javax.xml.namespace.QName AS_RESULTTYPE_BOOLEAN

      Constant for the result type of XPath processing.

      The values are identical with javax.xml.xpath.XPathConstants, but to define them here again, keeps the test classes, using PDFUnit, be free of javax.xml declarations.

      See Also:
        `XPathConstants`

    - #### AS_RESULTTYPE_NUMBER

          public static final javax.xml.namespace.QName AS_RESULTTYPE_NUMBER

      Constant for the result type of XPath processing.

      The values are identical with javax.xml.xpath.XPathConstants, but to define them here again, keeps the test classes, using PDFUnit, be free of javax.xml declarations.

      See Also:
        `XPathConstants`

    - #### AS_RESULTTYPE_NODE

          public static final javax.xml.namespace.QName AS_RESULTTYPE_NODE

      Constant for the result type of XPath processing.

      The values are identical with javax.xml.xpath.XPathConstants, but to define them here again, keeps the test classes, using PDFUnit, be free of javax.xml declarations.

      See Also:
        `XPathConstants`

    - #### AS_RESULTTYPE_NODESET

          public static final javax.xml.namespace.QName AS_RESULTTYPE_NODESET

      Constant for the result type of XPath processing.

      The values are identical with javax.xml.xpath.XPathConstants, but to define them here again, keeps the test classes, using PDFUnit, be free of javax.xml declarations.

      See Also:
        `XPathConstants`

    - #### AS_RESULTTYPE_STRING

          public static final javax.xml.namespace.QName AS_RESULTTYPE_STRING

      Constant for the result type of XPath processing.

      The values are identical with javax.xml.xpath.XPathConstants, but to define them here again, keeps the test classes, using PDFUnit, be free of javax.xml declarations.

      See Also:
        `XPathConstants`

    - #### ANY_NODE_VALUE

          public static final java.lang.String ANY_NODE_VALUE

      Contant in the context of XPath processing.
      See Also:
        Constant Field Values

    - #### KEEP_WHITESPACES

          public static final WhitespaceProcessing KEEP_WHITESPACES

      Constant, defining to keep whitespaces when comparing text.

    - #### KEEP

          public static final WhitespaceProcessing KEEP

      Constant, defining to keep whitespaces when comparing text.

    - #### NORMALIZE_WHITESPACES

          public static final WhitespaceProcessing NORMALIZE_WHITESPACES

      Constant, defining to reduce all subsequent whitespaces to one space when comparing text.

    - #### NORMALIZE

          public static final WhitespaceProcessing NORMALIZE

      Constant, defining to reduce all subsequent whitespaces to one space when comparing text.

    - #### IGNORE_WHITESPACES

          public static final WhitespaceProcessing IGNORE_WHITESPACES

      Constant, defining to ignore whitespaces when comparing text.

    - #### IGNORE

          public static final WhitespaceProcessing IGNORE

      Constant, defining to ignore whitespaces when comparing text.

    - #### NO_VALID_LICENSE_MESSAGE

          public static final java.lang.String NO_VALID_LICENSE_MESSAGE

      See Also:
        Constant Field Values

    - #### ASSEMBLE_DOCUMENTS

          public static final AccessPermission ASSEMBLE_DOCUMENTS

      Constant for PDF document permission.

    - #### EXTRACT_CONTENT

          public static final AccessPermission EXTRACT_CONTENT

      Constant for PDF document permission.

    - #### FILL_IN

          public static final AccessPermission FILL_IN

      Constant for PDF document permission.

    - #### MODIFY_ANNOTATIONS

          public static final AccessPermission MODIFY_ANNOTATIONS

      Constant for PDF document permission.

    - #### MODIFY_CONTENT

          public static final AccessPermission MODIFY_CONTENT

      Constant for PDF document permission.

    - #### PRINT_IN_HIGHQUALITY

          public static final AccessPermission PRINT_IN_HIGHQUALITY

      Constant for PDF document permission.

    - #### PRINT_DEGRADED_ONLY

          public static final AccessPermission PRINT_DEGRADED_ONLY

      Constant for PDF document permission.

    - #### ALLOW_SCREENREADERS

          public static final AccessPermission ALLOW_SCREENREADERS

      Constant for PDF document permission.

    - #### IDENTIFIEDBY_ALLPROPERTIES

          public static final IdentifiedBy IDENTIFIEDBY_ALLPROPERTIES

      Constant for filtering fonts.

    - #### IDENTIFIEDBY_BASENAME

          public static final IdentifiedBy IDENTIFIEDBY_BASENAME

      Constant for filtering fonts.

    - #### IDENTIFIEDBY_EMBEDDED

          public static final IdentifiedBy IDENTIFIEDBY_EMBEDDED

      Constant for filtering fonts.

    - #### IDENTIFIEDBY_NAME

          public static final IdentifiedBy IDENTIFIEDBY_NAME

      Constant for filtering fonts.

    - #### IDENTIFIEDBY_NAME_TYPE

          public static final IdentifiedBy IDENTIFIEDBY_NAME_TYPE

      Constant for filtering fonts.

    - #### IDENTIFIEDBY_TYPE

          public static final IdentifiedBy IDENTIFIEDBY_TYPE

      Constant for filtering fonts.

    - #### FONTTYPE_CID

          public static final FontType FONTTYPE_CID

      Constant for a font type.

    - #### FONTTYPE_CID_TYPE0

          public static final FontType FONTTYPE_CID_TYPE0

      Constant for a font type.

    - #### FONTTYPE_CID_TYPE2

          public static final FontType FONTTYPE_CID_TYPE2

      Constant for a font type.

    - #### FONTTYPE_MMTYPE1

          public static final FontType FONTTYPE_MMTYPE1

      Constant for a font type.

    - #### FONTTYPE_OPENTYPE

          public static final FontType FONTTYPE_OPENTYPE

      Constant for a font type.

    - #### FONTTYPE_TRUETYPE

          public static final FontType FONTTYPE_TRUETYPE

      Constant for a font type.

    - #### FONTTYPE_TYPE0

          public static final FontType FONTTYPE_TYPE0

      Constant for a font type.

    - #### FONTTYPE_TYPE1

          public static final FontType FONTTYPE_TYPE1

      Constant for a font type.

    - #### FONTTYPE_TYPE3

          public static final FontType FONTTYPE_TYPE3

      Constant for a font type.

    - #### DEGREES_90

          public static final Rotation DEGREES_90

      Rotation for images.

    - #### DEGREES_180

          public static final Rotation DEGREES_180

      Rotation for images.

    - #### DEGREES_270

          public static final Rotation DEGREES_270

      Rotation for images.

    - #### HORIZONTALLY

          public static final FlipDirection HORIZONTALLY

      Flipping direction for images.

    - #### VERTICALLY

          public static final FlipDirection VERTICALLY

      Flipping direction for images.

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright (C) PDFUnit.com. See here for license.